package com.goafanti.evaluation.bo;

import javax.validation.constraints.Max;
import javax.validation.constraints.NotNull;

public class Step3 {
	@NotNull
	@Max(value = 6)
	private Integer	progressiveness;
	
	@NotNull
	@Max(value = 6)
	private Integer	innovativeness;
	
	@NotNull
	@Max(value = 6)
	private Integer	ripeness;
	
	@NotNull
	@Max(value = 6)
	private Integer	alternatives;
	
	@NotNull
	@Max(value = 6)
	private Integer	defensive;
	
	@NotNull
	@Max(value = 6)
	private Integer	prospect;
	
	@NotNull
	@Max(value = 6)
	private Integer	supplyAndDemand;
	
	@NotNull
	@Max(value = 6)
	private Integer	rangeOfApplication;
	
	@NotNull
	@Max(value = 6)
	private Integer	imitable;
	
	@NotNull
	@Max(value = 6)
	private Integer	profitability;

	public Integer getProgressiveness() {
		return progressiveness;
	}

	public void setProgressiveness(Integer progressiveness) {
		this.progressiveness = progressiveness;
	}

	public Integer getInnovativeness() {
		return innovativeness;
	}

	public void setInnovativeness(Integer innovativeness) {
		this.innovativeness = innovativeness;
	}

	public Integer getRipeness() {
		return ripeness;
	}

	public void setRipeness(Integer ripeness) {
		this.ripeness = ripeness;
	}

	public Integer getAlternatives() {
		return alternatives;
	}

	public void setAlternatives(Integer alternatives) {
		this.alternatives = alternatives;
	}

	public Integer getDefensive() {
		return defensive;
	}

	public void setDefensive(Integer defensive) {
		this.defensive = defensive;
	}

	public Integer getProspect() {
		return prospect;
	}

	public void setProspect(Integer prospect) {
		this.prospect = prospect;
	}

	public Integer getSupplyAndDemand() {
		return supplyAndDemand;
	}

	public void setSupplyAndDemand(Integer supplyAndDemand) {
		this.supplyAndDemand = supplyAndDemand;
	}

	public Integer getRangeOfApplication() {
		return rangeOfApplication;
	}

	public void setRangeOfApplication(Integer rangeOfApplication) {
		this.rangeOfApplication = rangeOfApplication;
	}

	public Integer getImitable() {
		return imitable;
	}

	public void setImitable(Integer imitable) {
		this.imitable = imitable;
	}

	public Integer getProfitability() {
		return profitability;
	}

	public void setProfitability(Integer profitability) {
		this.profitability = profitability;
	}
	
	
}
